
QGIS Application - Bug report #7874

Deleting 1 thing from legend deletes 2 things

2013-05-21 12:58 AM - ramon .

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16749

Description

In the Print composer, if you edit the legend and remove an item/layer, it also removes the item/layer below the selected one.

Associated revisions

Revision 1dc75dd6 - 2013-05-29 01:44 AM - Nathan Woodrow 

Fix removing composer legend items. Fix #7874 Fix #7464

History

#1 - 2013-05-21 01:03 AM - Giovanni Manghi

- OS version deleted (b805894)

- Operating System deleted (Win7-64bit)

- Category changed from Map Legend to 33

Confirmed also on Linux. As a new feature not working as expected I'll tag this as blocker.

#2 - 2013-05-24 07:57 AM - Andreas Neumann

- Priority changed from High to Severe/Regression

yes - very annoying

#3 - 2013-05-28 04:44 PM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"1dc75dd64fcd4613379f9c28e161c1bd7afa22d1".
